Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLANEG

    java.lang.Object
      org.netlib.lapack.SLANEG

    public class SLANEG

extends java.lang.Object

    SLANEG is a simplified interface to the JLAPACK routine slaneg.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLANEG computes the Sturm count, the number of negative pivots
     *  encountered while factoring tridiagonal T - sigma I = L D L^T.
     *  This implementation works directly on the factors without forming
     *  the tridiagonal matrix T.  The Sturm count is also the number of
     *  eigenvalues of T less than sigma.
     *
     *  This routine is called from SLARRB.
     *
     *  The current routine does not use the PIVMIN parameter but rather
     *  requires IEEE-754 propagation of Infinities and NaNs.  This
     *  routine also has no input range restrictions but does require
     *  default exception handling such that x/0 produces Inf when x is
     *  non-zero, and Inf/Inf produces NaN.  For more information, see:
     *
     *    Marques, Riedy, and Voemel, "Benefits of IEEE-754 Features in
     *    Modern Symmetric Tridiagonal Eigensolvers," SIAM Journal on
     *    Scientific Computing, v28, n5, 2006.  DOI 10.1137/050641624
     *    (Tech report version in LAWN 172 with the same title.)
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The order of the matrix.
     *
     *  D       (input) REAL             array, dimension (N)
     *          The N diagonal elements of the diagonal matrix D.
     *
     *  LLD     (input) REAL             array, dimension (N-1)
     *          The (N-1) elements L(i)*L(i)*D(i).
     *
     *  SIGMA   (input) REAL
     *          Shift amount in T - sigma I = L D L^T.
     *
     *  PIVMIN  (input) REAL
     *          The minimum pivot in the Sturm sequence.  May be used
     *          when zero pivots are encountered on non-IEEE-754
     *          architectures.
     *
     *  R       (input) INTEGER
     *          The twist index for the twisted factorization that is used
     *          for the negcount.
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Osni Marques, LBNL/NERSC, USA
     *     Christof Voemel, University of California, Berkeley, USA
     *     Jason Riedy, University of California, Berkeley, USA
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SLANEG()`

Method Summary
`static int` | `SLANEG(int n, float[] d, float[] lld, float sigma, float pivmin, int r)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLANEG

    public SLANEG()

Method Detail

### SLANEG

    public static int SLANEG(int n,
                             float[] d,
                             float[] lld,
                             float sigma,
                             float pivmin,
                             int r)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD